summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDaniel Robbins <drobbins@gentoo.org>2001-01-09 23:05:32 +0000
committerDaniel Robbins <drobbins@gentoo.org>2001-01-09 23:05:32 +0000
commita03f6bafa07717dbdc7604b3d45ce59ba8e43f03 (patch)
tree2c9b89d98a2dfa620df9cd18ce03de67b29010e2 /sys-apps/gluelog
parentnow part of the sysklogd package (diff)
downloadhistorical-a03f6bafa07717dbdc7604b3d45ce59ba8e43f03.tar.gz
historical-a03f6bafa07717dbdc7604b3d45ce59ba8e43f03.tar.bz2
historical-a03f6bafa07717dbdc7604b3d45ce59ba8e43f03.zip
now part of the gluelog package
Diffstat (limited to 'sys-apps/gluelog')
-rwxr-xr-xsys-apps/gluelog/files/svc-klog28
-rwxr-xr-xsys-apps/gluelog/files/svc-syslog28
2 files changed, 56 insertions, 0 deletions
diff --git a/sys-apps/gluelog/files/svc-klog b/sys-apps/gluelog/files/svc-klog
new file mode 100755
index 000000000000..eb208512ae0a
--- /dev/null
+++ b/sys-apps/gluelog/files/svc-klog
@@ -0,0 +1,28 @@
+#!/bin/sh
+#RCUPDATE:1 2 3 4 5:19:This line is required for script management
+
+. /etc/rc.d/config/functions
+
+SERVICE=svc-klog
+opts="start stop"
+
+start() {
+ ebegin "Starting ${SERVICE}"
+ ln -sf ../services/${SERVICE} ${SVCDIR}/control/${SERVICE}
+ eend $retval
+}
+
+stop() {
+ ebegin "Stopping ${SERVICE}"
+ if [ -e ${SVCDIR}/control/${SERVICE} ]
+ then
+ /usr/bin/svc -dx ${SVCDIR}/control/${SERVICE}
+ rm ${SVCDIR}/control/${SERVICE}
+ fi
+ eend $?
+}
+
+doservice ${@}
+
+
+
diff --git a/sys-apps/gluelog/files/svc-syslog b/sys-apps/gluelog/files/svc-syslog
new file mode 100755
index 000000000000..b3f3791c8b02
--- /dev/null
+++ b/sys-apps/gluelog/files/svc-syslog
@@ -0,0 +1,28 @@
+#!/bin/sh
+#RCUPDATE:1 2 3 4 5:19:This line is required for script management
+
+. /etc/rc.d/config/functions
+
+SERVICE=svc-syslog
+opts="start stop"
+
+start() {
+ ebegin "Starting ${SERVICE}"
+ ln -sf ../services/${SERVICE} ${SVCDIR}/control/${SERVICE}
+ eend $retval
+}
+
+stop() {
+ ebegin "Stopping ${SERVICE}"
+ if [ -e ${SVCDIR}/control/${SERVICE} ]
+ then
+ /usr/bin/svc -dx ${SVCDIR}/control/${SERVICE}
+ rm ${SVCDIR}/control/${SERVICE}
+ fi
+ eend $?
+}
+
+doservice ${@}
+
+
+